# gst validate element monitor

TODO

## GstValidateElementMonitor

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMonitor
                    ╰──GstValidateElementMonitor
                        ╰──GstValidateBinMonitor

GStreamer Validate ElementMonitor class.

Class that wraps a GstElement for Validate checks

### Members

`parent` (GstValidateMonitor) –
No description available

### Class structure

#### GstValidateElementMonitorClass

GStreamer Validate ElementMonitor object class.

##### Fields

`parent_class` (GstValidateMonitorClass) –

parent

### GstValidate.ElementMonitorClass

GStreamer Validate ElementMonitor object class.

##### Attributes

`parent_class` (GstValidate.MonitorClass) –

parent

### GstValidate.ElementMonitorClass

GStreamer Validate ElementMonitor object class.

##### Attributes

`parent_class` (GstValidate.MonitorClass) –

parent

## GstValidate.ElementMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                        ╰──GstValidate.BinMonitor

GStreamer Validate ElementMonitor class.

Class that wraps a Gst.Element for Validate checks

### Members

`parent` (GstValidate.Monitor) –
No description available

## GstValidate.ElementMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.ElementMonitor
                        ╰──GstValidate.BinMonitor

GStreamer Validate ElementMonitor class.

Class that wraps a Gst.Element for Validate checks

### Members

`parent` (GstValidate.Monitor) –
No description available

### Constructors

#### gst_validate_element_monitor_new

    GstValidateElementMonitor *
    gst_validate_element_monitor_new (GstElement * element,
                                      GstValidateRunner * runner,
                                      GstValidateMonitor * parent)

Parameters:

`element` ( [transfer: none]) –

a GstElement to run Validate on

`runner` ( [transfer: none]) –

a GstValidateRunner

`parent` ( [nullable]) –

The parent of the new monitor

Returns ( [transfer: full]) –

A GstValidateElementMonitor

#### GstValidate.ElementMonitor.prototype.new

    function GstValidate.ElementMonitor.prototype.new(element: Gst.Element, runner: GstValidate.Runner, parent: GstValidate.Monitor): {
        // javascript wrapper for 'gst_validate_element_monitor_new'
    }

Parameters:

`element` (Gst.Element) –

a Gst.Element to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.ElementMonitor) –

A GstValidate.ElementMonitor

#### GstValidate.ElementMonitor.new

    def GstValidate.ElementMonitor.new (element, runner, parent):
        #python wrapper for 'gst_validate_element_monitor_new'

Parameters:

`element` (Gst.Element) –

a Gst.Element to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.Monitor) –

The parent of the new monitor

Returns (GstValidate.ElementMonitor) –

A GstValidate.ElementMonitor

## Function Macros

### GST_IS_VALIDATE_ELEMENT_MONITOR

    #define GST_IS_VALIDATE_ELEMENT_MONITOR(obj)		        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_ELEMENT_MONITOR))

### GST_IS_VALIDATE_ELEMENT_MONITOR_CLASS

    #define GST_IS_VALIDATE_ELEMENT_MONITOR_CLASS(klass)	        (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_ELEMENT_MONITOR))

### GST_VALIDATE_ELEMENT_MONITOR_CAST

    #define GST_VALIDATE_ELEMENT_MONITOR_CAST(obj)                ((GstValidateElementMonitor*)(obj))

### GST_VALIDATE_ELEMENT_MONITOR_CLASS_CAST

    #define GST_VALIDATE_ELEMENT_MONITOR_CLASS_CAST(klass)        ((GstValidateElementMonitorClass*)(klass))

### GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_CONVERTER

    #define GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_CONVERTER(m) (GST_VALIDATE_ELEMENT_MONITOR_CAST (m)->is_converter)

### GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_DECODER

    #define GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_DECODER(m) (GST_VALIDATE_ELEMENT_MONITOR_CAST (m)->is_decoder)

### GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_DEMUXER

    #define GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_DEMUXER(m) (GST_VALIDATE_ELEMENT_MONITOR_CAST (m)->is_demuxer)

### GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_ENCODER

    #define GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_ENCODER(m) (GST_VALIDATE_ELEMENT_MONITOR_CAST (m)->is_encoder)

### GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_SINK

    #define GST_VALIDATE_ELEMENT_MONITOR_ELEMENT_IS_SINK(m) (GST_VALIDATE_ELEMENT_MONITOR_CAST (m)->is_sink)

## Constants

### GST_TYPE_VALIDATE_ELEMENT_MONITOR

    #define GST_TYPE_VALIDATE_ELEMENT_MONITOR			(gst_validate_element_monitor_get_type ())

The results of the search are